package com.flyfish.framework.approval.domain;

import com.flyfish.framework.annotations.Property;
import com.flyfish.framework.approval.enums.ApproveStatus;
import com.flyfish.framework.domain.authorized.AuthorizedDomain;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 审批支持，必然是带权限的实体
 *
 * @author wangyu
 */
@Getter
@Setter
public abstract class ApprovalDomain extends AuthorizedDomain {

    // 审批状态
    @Property(readonly = true)
    private ApproveStatus approveStatus;

    // 审批人，按序依次审批
    @Property(readonly = true)
    private List<String> approvers;

    // 下个审批人
    @Property(readonly = true)
    private Integer next;
}
