package com.flyfish.framework.logging.domain;

import com.flyfish.framework.builder.CriteriaBuilder;
import com.flyfish.framework.domain.base.BaseQo;
import com.flyfish.framework.domain.base.NameLikeQo;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.domain.Sort;

import java.util.List;

/**
 * 日志查询实体
 *
 * @author wangyu
 */
@Getter
@Setter
public class LogQo extends NameLikeQo<Log> {

    private String operator;

    private String module;

    private Boolean success;

    private List<String> range;

    private String type;

    @Override
    public CriteriaBuilder<Log> criteriaBuilder() {
        return super.criteriaBuilder()
                .with("operator", CriteriaBuilder.Builders.LIKE)
                .with("type", "module", "success")
                .with("range", "startTime", CriteriaBuilder.Builders.DATE_RANGE);
    }

    @Override
    public Sort sorts() {
        return Sort.by(Sort.Order.desc("startTime"));
    }
}
