package com.flyfish.framework.config.audit;

import com.flyfish.framework.utils.UserUtils;
import org.springframework.data.domain.ReactiveAuditorAware;
import org.springframework.lang.NonNull;
import org.springframework.security.core.context.ReactiveSecurityContextHolder;
import org.springframework.stereotype.Component;
import reactor.core.publisher.Mono;

/**
 * 用户上下文审查工具
 *
 * @author wangyu
 */
@Component
public class ReactiveUserAuditor implements ReactiveAuditorAware<String> {

    /**
     * 在异步上下文中获取结果
     *
     * @return 结果
     */
    @Override
    @NonNull
    public Mono<String> getCurrentAuditor() {
        return ReactiveSecurityContextHolder.getContext()
                .map(UserUtils::extractUserName)
                .defaultIfEmpty("匿名用户");
    }

}
