package com.flyfish.framework.configuration.jwt;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.Map;

/**
 * jwt属性
 *
 * @author wangyu
 */
@Data
@ConfigurationProperties(prefix = "jwt")
public class JwtProperties {

    // 是否启用
    private boolean enable = false;
    // 记住我
    private boolean remember = false;
    // 头部
    private String header = "Authorization";
    // This token must be encoded using Base64 with mininum 88 Bits (you can type `echo 'secret-key'|base64` on your command line)
    private String base64Secret = "ZmQ0ZGI5NjQ0MDQwY2I4MjMxY2Y3ZmI3MjdhN2ZmMjNhODViOTg1ZGE0NTBjMGM4NDA5NzYxMjdjOWMwYWRmZTBlZjlhNGY3ZTg4Y2U3YTE1ODVkZDU5Y2Y3OGYwZWE1NzUzNWQ2YjFjZDc0NGMxZWU2MmQ3MjY1NzJmNTE0MzI=";
    // token is valid 24 hours
    private long tokenValidityInSeconds = 86400L;
    // valid 30 hours
    private long tokenValidityInSecondsForRememberMe = 108000L;
    // route
    private Map<String, Object> route;
}
