package com.flyfish.framework.service;

import com.flyfish.framework.domain.po.User;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.core.userdetails.UserDetails;
import reactor.core.publisher.Mono;

/**
 * 认证日志者
 *
 * @author wangyu
 */
public interface AuthenticationLogger {

    /**
     * 记录成功
     *
     * @param user 用户
     */
    Mono<Void> success(UserDetails user);

    /**
     * 记录失败
     *
     * @param user      表单
     * @param exception 错误异常
     */
    Mono<Void> failure(User user, AuthenticationException exception);

    /**
     * 记录退出
     *
     * @param user 用户
     */
    Mono<Void> logout(UserDetails user);
}
